Autor Téma: Chybná aktualizace VLC  (Přečteno 516 krát)

JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Chybná aktualizace VLC
« kdy: Květen 31, 2017, 18:50:19 »
Ahoj, při poslední aktualizaci vlc se mi něco rozbilo a vlc nemohu spustit. Z terminálu mám tuto hlášku.
Kód: [Vybrat]
[jarda@localhost ~]$ vlc
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)
Neoprávněný přístup do paměti (SIGSEGV)
[jarda@localhost ~]$
Už při aktualizaci z terminálu bylo něco špatně. Část výpisu.
Kód: [Vybrat]
getting lock on urpmi
getting exclusive lock on rpm


Instaluje se lib64vlccore8-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-common-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-pulse-2.2.6-1.mga5.tainted.x86_64.rpm lib64vlc5-2.2.6-1.mga5.tainted.x86_64.rpm vlc-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64.rpm z /var/cache/urpmi/rpms
starting installing packages
Vytvořena transakce pro instalaci na / (odstranění=0, instalace=0, aktualizace=7)
/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script: řádek 4:  1162 Neoprávněný přístup do paměti (SIGSEGV)               /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
Odstraňují se nainstalované RPM balíčky (lib64vlccore8-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-common-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-pulse-2.2.6-1.mga5.tainted.x86_64.rpm lib64vlc5-2.2.6-1.mga5.tainted.x86_64.rpm vlc-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64.rpm) z /var/cache/urpmi/rpms
unlocking urpmi database
unlocking rpm database
getting lock on urpmi
Nechápu se kde co pokazilo.
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

Joelp

  • Administrator
  • Sr. Member
  • *****
  • Příspěvků: 374
  • Karma: +10/-0
    • Zobrazit profil
    • Joelp's blog
Re:Chybná aktualizace VLC
« Odpověď #1 kdy: Červen 01, 2017, 10:12:54 »
Přemýšlím, jestli to nesouvisí i s  problémem s fonty. Zda nemáš nějakou poničenou databázi. A tím i problém s balíčky. Zkusil bych odebrat všechny zdroje. Znovu přidat a povolit vše kromě debug a testing. Následně opravit db
Kód: [Vybrat]
rpm --rebuilddb
V dokumentaci jsem také našel doporučení (zkušenost s tím ale nemám):
Kód: [Vybrat]
rpm -ivh --justdb --noscripts --notriggers
Následně provést update
Kód: [Vybrat]
urpmi --auto-update
Pokud i nadále bude problém s VLC, tak jej zkus odinstalovat a nainstalovat nejnovější ze zdroje tainted. Což by se mělo stát už v kroku update.

JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #2 kdy: Červen 02, 2017, 07:13:09 »
Zdroje odebrány a znovu nastaveny. Problém přetrvává.

Kód: [Vybrat]
[root@localhost ~]# rpm --rebuilddb
[root@localhost ~]# rpm -ivh --justdb --noscripts --notriggers
rpm: nezadány žádné balíčky pro instalaci
[root@localhost ~]# urpmi --auto-update
Zdroj "Tainted Release (distrib21)" je aktuální
Zdroj "Tainted Updates (distrib23)" je aktuální
Zdroj "Core Release (distrib1)" je aktuální
Zdroj "Core Updates (distrib3)" je aktuální
Zdroj "Nonfree Release (distrib11)" je aktuální
Zdroj "Nonfree Updates (distrib13)" je aktuální
Balíčky jsou aktuální
[root@localhost ~]# urpme vlc
Aby byly splněny závislosti, budou odebrány 3 balíčky (38MB):
  vlc-2.2.6-1.mga5.tainted.x86_64
  vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64
   (Z důvodu nesplněného vlc == 2.2.6)
  vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64
   (Z důvodu nesplněného vlc == 2.2.6)
Odstranit 3 balíčky? (a/N) a
Odstraňuje se vlc-2.2.6-1.mga5.tainted.x86_64 vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64 vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64
Odstraňuje se balíček vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64
      1/3: Odstraňuje se vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64
                                 ################################################################
Odstraňuje se balíček vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64
      2/3: Odstraňuje se vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64
                                 ################################################################
Odstraňuje se balíček vlc-2.2.6-1.mga5.tainted.x86_64
      3/3: Odstraňuje se vlc-2.2.6-1.mga5.tainted.x86_64
                                 ################################################################
/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script: řádek 4: 15551 Neoprávněný přístup do paměti (SIGSEGV)               /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
[root@localhost ~]# urpmi vlc
Aby byly splněny závislosti, budou nainstalovány následující balíčky:
  Balíček                        Verze        Vydání        Arch.   
(Zdroj "Tainted Updates (distrib23)")
  vlc                            2.2.6        1.mga5.taint> x86_64 
  vlc-plugin-lua                 2.2.6        1.mga5.taint> x86_64  (doporučeno)
  vlc-plugin-theora              2.2.6        1.mga5.taint> x86_64  (doporučeno)
Navíc bude použito 38MB diskového prostoru.
Bude staženo 5.7MB balíčků.
Pokračovat v instalaci 3 balíčků? (A/n) a


    ftp://ftp.fi.muni.cz/pub/linux/mageia/distrib/5/x86_64/media/tainted/updates/vlc-2.2.6-1.mga5.tainted.x86_64.rpm
    ftp://ftp.fi.muni.cz/pub/linux/mageia/distrib/5/x86_64/media/tainted/updates/vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64.rpm
    ftp://ftp.fi.muni.cz/pub/linux/mageia/distrib/5/x86_64/media/tainted/updates/vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64.rpm
Instaluje se vlc-plugin-theora-2.2.6-1.mga5.tainted.x86_64.rpm vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64.rpm vlc-2.2.6-1.mga5.tainted.x86_64.rpm z /var/cache/urpmi/rpms
Připravuje se...                 ################################################################
      1/3: vlc                   ################################################################
      2/3: vlc-plugin-theora     ################################################################
      3/3: vlc-plugin-lua        ################################################################
/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script: řádek 4:  2481 Neoprávněný přístup do paměti (SIGSEGV)               /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
[root@localhost ~]#
Druhému příkazu něco chybí, skusil jsem předhodit vlc, tak jestli dobře chápu, tak to chce přímo rpm balíček u mě v adresáři, takže je budu muset ručne postahovat.
Kód: [Vybrat]
[root@localhost ~]# rpm -ivh --justdb --noscripts --notriggers vlc
chyba: otevření vlc selhalo: Adresář nebo soubor neexistuje
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #3 kdy: Červen 02, 2017, 07:46:13 »
Proč to neustále chybuje, při urpme urpmi?
Kód: [Vybrat]
/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script: řádek 4: 15551 Neoprávněný přístup do paměti (SIGSEGV)               /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/pluginsVidím že soubor vlc-generate-plugins-cache.script patří vlc-plugin-common
Kód: [Vybrat]
[root@localhost ~]# urpmf vlc-generate-plugins-cache.script
vlc-plugin-common:/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script
[root@localhost ~]#
Je tedy chyba v tomto balíčku?
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #4 kdy: Červen 02, 2017, 08:01:48 »
Tak sem skusil naprase tohle
Kód: [Vybrat]
[root@localhost ~]# urpme vlc-plugin-lua             
Odstraňuje se vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64
Odstraňuje se balíček vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64
      1/1: Odstraňuje se vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64
                                 ################################################################
/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script: řádek 4:  5573 Neoprávněný přístup do paměti (SIGSEGV)               /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
[root@localhost ~]# urpmi vlc-plugin-lua
Označuje se vlc-plugin-lua jako ručně instalovaný, nebude pak automaticky považován za sirotka
writing /var/lib/rpm/installed-through-deps.list


    ftp://ftp.fi.muni.cz/pub/linux/mageia/distrib/5/x86_64/media/tainted/updates/vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64.rpm
Instaluje se vlc-plugin-lua-2.2.6-1.mga5.tainted.x86_64.rpm z /var/cache/urpmi/rpms               
Připravuje se...                 ################################################################
      1/1: vlc-plugin-lua        ################################################################
/var/lib/rpm/filetriggers/vlc-generate-plugins-cache.script: řádek 4:  5638 Neoprávněný přístup do paměti (SIGSEGV)               /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
[root@localhost ~]#
Ten script je vážně divnej. Tak se ho tedy zbavím a uvidím co se stane.
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #5 kdy: Červen 02, 2017, 08:11:08 »
Tak nějakej posun, vlc reaguje. Odstranění balíčku vlc-plugin-common
Kód: [Vybrat]
[root@localhost ~]# rpm -e --nodeps vlc-plugin-commonUživatel v terminálu
Kód: [Vybrat]
[jarda@localhost ~]$ vlc
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)
[0000000001082b28] core input error: open of `file/xspf-open:///home/jarda/.local/share/vlc/ml.xspf' failed
[0000000001082b28] core input error: ZadanĂ˝ vstup nelze otevĹĂ­t
[0000000001082b28] core input error: PĹehrĂĄvaÄem VLC nelze otevĹĂ­t MRL 'file/xspf-open:///home/jarda/.local/share/vlc/ml.xspf'.  Podrobnosti naleznete v zĂĄznamu informacĂ­.
[0000000001083538] core audio output error: option equalizer-preamp does not exist
[0000000001083538] core audio output error: option equalizer-bands does not exist
[0000000001083538] core audio output error: option equalizer-preset does not exist
[0000000001094c98] core interface error: no suitable interface module
[0000000001050118] core libvlc error: interface "hotkeys,none" initialization failed
[0000000001094d08] core interface error: no suitable interface module
[0000000001050118] core libvlc error: interface "globalhotkeys,none" initialization failed
[0000000001094d08] core interface error: no suitable interface module
[0000000001050118] core libvlc error: interface "dbus,none" initialization failed
[0000000001050118] core libvlc: SpouĹĄtĂ­m pĹehrĂĄvaÄ VLC s vĂ˝chozĂ­m rozhranĂ­m. PĹejete-li si spouĹĄtÄ pĹehrĂĄvaÄ VLC bez rozhranĂ­, pouĹžijte pĹĂ­kaz 'cvlc'.
[00000000010953f8] [cli] lua interface: Listening on host "*console".
VLC media player 2.2.6 Umbrella
Command Line Interface initialized. Type `help' for help.
> q
Shutting down.
[00000000010953f8] [cli] lua interface: Requested shutdown.
[00000000010804e8] core playlist error: could not export playlist
[jarda@localhost ~]$
Jasně háže to chyby, ale aspoň něco.
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

Joelp

  • Administrator
  • Sr. Member
  • *****
  • Příspěvků: 374
  • Karma: +10/-0
    • Zobrazit profil
    • Joelp's blog
Re:Chybná aktualizace VLC
« Odpověď #6 kdy: Červen 02, 2017, 09:20:55 »
Kód: [Vybrat]
rpm -ivh --justdb --noscripts --notriggers slouží k instalaci balíčků které byly/měly být instalovány před obnovou RPM databáze.

Proč to neustále chybuje, při urpme urpmi?
Těžko říct bez detailů. Nicméně, zkusil bych vysypat cache, ta je v /var/cache/urpmi/rpms/. Kompletní dokumentace k urpmi pak zde https://wiki.mageia.org/en/URPMI.


Tak nějakej posun, vlc reaguje. Odstranění balíčku vlc-plugin-common
Kód: [Vybrat]
[root@localhost ~]# rpm -e --nodeps vlc-plugin-commonUživatel v terminálu
Kód: [Vybrat]
[jarda@localhost ~]$ vlc
Vzhledem k tomu, že jsi tak porušil závislosti "poloviny" systému, nepovažuji to jako dobrý nápad. Viz:
Kód: [Vybrat]
urpme vlc-plugin-common
Aby byly splněny závislosti, bude odebráno 454 balíčků (586MB):
....
....
KDE je na něm poměrně závislé.


JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #7 kdy: Červen 02, 2017, 23:14:07 »
Hurá, nejsem sám komu se to děje, právě jsem objevil že na bugs.mageia.org se tohle řeší https://bugs.mageia.org/show_bug.cgi?id=20954. Přesně stejné příznaky a jak se dále píše, chyba je obtížně reprodukovatelná.
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

Vítek

  • Jr. Member
  • **
  • Příspěvků: 59
  • Karma: +8/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #8 kdy: Červen 04, 2017, 23:52:16 »
Nejsi sám, na jednom počítači mám u VLC tu samou chybu. A na dvou mi zase funguje bez problému.
Trochu podezřívám NVIDIA a její ovladač. Kde mi VLC nefunguje mám taky grafiku od NVIDIA a na fungujících mám Intel.

Joelp

  • Administrator
  • Sr. Member
  • *****
  • Příspěvků: 374
  • Karma: +10/-0
    • Zobrazit profil
    • Joelp's blog
Re:Chybná aktualizace VLC
« Odpověď #9 kdy: Červen 05, 2017, 17:56:46 »
Trochu podezřívám NVIDIA a její ovladač. Kde mi VLC nefunguje mám taky grafiku od NVIDIA a na fungujících mám Intel.

Dobrý postřeh. Nyní jsem zkoušel na PC s Nvidia + proprietární ovladače a také nefunguje.

JZD

  • Newbie
  • *
  • Příspěvků: 37
  • Karma: +1/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #10 kdy: Červen 06, 2017, 11:38:50 »
Hlásím úspěšné spuštění VLC 2.2.6. Řídil jsem se komentářem číslo 3 a skusil jsem
Kód: [Vybrat]
[root@localhost ~]# urpmi --replacepkgs vlc-plugin-common-2.2.6-1.mga5.tainted
[root@localhost ~]# ll /usr/lib64/vlc/plugins/plugins.dat

https://bugs.mageia.org/show_bug.cgi?id=20954#c3

Zatím dobrý.
Mageia 5.1, 64bit, KDE 4.14
‎Notebook: Intel Core i7-2670QM 2.20GHz, NVIDIA GeForce GT 540M
Neumím se vyjadřovat, raději používám obrázky. ;-)

Vítek

  • Jr. Member
  • **
  • Příspěvků: 59
  • Karma: +8/-0
    • Zobrazit profil
Re:Chybná aktualizace VLC
« Odpověď #11 kdy: Červen 08, 2017, 23:45:25 »
Ten návod mi rovněž pomohl. Ale v postupu od JZD chybí jeden příkaz. Správně by to podle komentáře mělo být

Kód: [Vybrat]
urpmi --replacepkgs vlc-plugin-common-2.2.6-1.mga5.tainted
valgrind /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
ll /usr/lib64/vlc/plugins/plugins.dat

Poznámka
Pro správné fungování je potřeba mít nainstalován balíček valgrind


Důležité pro mne je, že toto mi opravilo i chybu při spuštění digikamu, který mi začal taky padat.
Opravdu zajímavá závislost  :)
A i to vlastní řešení "opravy" je pro mne velmi zajímavé a poučné